/* -*- text -*- */
%{

#include "zicon.tab.cc.h"
#include <stdio.h>
#define YY_USE_PROTOS

%}

%%
" "+		{  }
\n		{  }
\t		{  }
;		{  }
#.*$		{  }
"{"		{ return LEFT_B ; }
"}"		{ return RIGHT_B ; }
","		{ return COMMA ; }
-?[0-9]+	{ yylval = atoi (yytext) ;
		  return NUMBER ;
		}

fillcolour	{ return SETBRUSH ; }
pencolour	{ return SETPEN ; }
fillpoly	{ return FILLPOLY ; }
linepoly	{ return LINEPOLY ; }
iconcolour	{ return COLOUR_DEFAULT ; }
shadowcolour	{ return COLOUR_SHADOW ; }
outlinecolour	{ return COLOUR_OUTLINE ; }

%% 
int yyerror (char *s)
{
	fprintf (stderr,"scanner: %s\n", s) ;
}

#ifndef yywrap 
int yywrap () 
{
	return 1 ;
}
#endif